Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.flow.javascript
Class Form

    java.lang.Object
      org.mozilla.javascript.ScriptableObject
          org.apache.cocoon.forms.flow.javascript.Form

All Implemented Interfaces:
  org.mozilla.javascript.ConstProperties, org.mozilla.javascript.debug.DebuggableObject, org.mozilla.javascript.Scriptable, Serializable

public class Form
extends org.mozilla.javascript.ScriptableObject

cforms flowscript integration helper class.

Version:
  $Id: Form.java 587759 2007-10-24 03:00:37Z vgritsenko $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mozilla.javascript.ScriptableObject
`CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`Form()`

Method Summary
`String` | `getClassName()`
`void` | `jsFunction_forwardTo(String uri, Object bizData, Object continuation)`
`org.apache.cocoon.components.flow.javascript.fom.FOM_WebContinuation` | `jsFunction_makeWebContinuation(Object k, Object lastContinuation, int ttl)`
`org.apache.cocoon.environment.Request` | `jsGet_request()`

Methods inherited from class org.mozilla.javascript.ScriptableObject
`associateValue, callMethod, callMethod, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineProperty, defineProperty, defineProperty, defineProperty, delete, delete, deleteProperty, deleteProperty, equivalentValues, get, get, getAllIds, getAssociatedValue, getAttributes, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getFunctionPrototype, getGetterOrSetter, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getTopLevelScope, getTopScopeValue, has, has, hasInstance, hasProperty, hasProperty, isConst, isSealed, put, put, putConst, putConstProperty, putProperty, putProperty, redefineProperty, sealObject, setAttributes, setAttributes, setAttributes, setAttributes, setGetterOrSetter, setParentScope, setPrototype`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Form

    public Form()

Method Detail

### getClassName

    public String getClassName()

### jsFunction_makeWebContinuation

    public org.apache.cocoon.components.flow.javascript.fom.FOM_WebContinuation jsFunction_makeWebContinuation(Object k,
                                                                                                               Object lastContinuation,
                                                                                                               int ttl)
                                                                                                        throws Exception

  Throws:
    `Exception`

### jsFunction_forwardTo

    public void jsFunction_forwardTo(String uri,
                                     Object bizData,
                                     Object continuation)
                              throws Exception

  Throws:
    `Exception`

### jsGet_request

    public org.apache.cocoon.environment.Request jsGet_request()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.